package cz.moneta.test.dsl.ufo.banka.tasks.accountenums;

import cz.moneta.test.harness.support.web.SelectByValue;

public enum DebitCardFeePlan implements SelectByValue {
    NONE("(není)"),
    TOM_ACCOUNT("Tom účet"),
    TOM_ACCOUNT_WITH_FEE("Tom účet (zpoplatněný)"),
    GENIUS_WITH_FEE("Genius Free & Flexi (zpoplatněný)"),
    FREE("Zdarma"),
    CHARGED("Zpoplatněná");

    private final String feePlan;

    DebitCardFeePlan(String feePlan) {
        this.feePlan = feePlan;
    }

    @Override
    public String getValue() {
        return feePlan;
    }
}
